/// Provides human-readable frame names.
abstract class FrameNames {
  /// The frame names for ID3v2.3.
  static const Map<String, String> v23 = {
    'AENC': 'encryption',
    'APIC': 'picture',
    'COMM': 'comment',
    'COMR': 'commercial',
    'ENCR': 'ENCR',
    'EQUA': 'equalization',
    'ETCO': 'ETCO',
    'GEOB': 'GEOB',
    'GRID': 'GRID',
    'IPLS': 'people',
    'LINK': 'information',
    'MCDI': 'MDI',
    'MLLT': 'MLLT',
    'OWNE': 'OWNE',
    'PRIV': 'PRIV',
    'PCNT': 'playCounter',
    'POPM': 'popularimeter',
    'POSS': 'POSS',
    'RBUF': 'RBUF',
    'RVAD': 'RVAD',
    'SYLT': 'lyrics',
    'SYTC': 'SYTC',
    'TALB': 'album',
    'TBPM': 'BPM',
    'TCOM': 'composer',
    'TCON': 'genre',
    'TCOP': 'copyright',
    'TDAT': 'date',
    'TDLY': 'playlist',
    'TENC': 'encodedBy',
    'TEXT': 'lyricist',
    'TFLT': 'fileType',
    'TIME': 'time',
    'TIT1': 'content',
    'TIT2': 'title',
    'TIT3': 'subTitle',
    'TKEY': 'key',
    'TLAN': 'language',
    'TLEN': 'length',
    'TMED': 'mediaType',
    'TOAL': 'originalAlbum',
    'TOFN': 'originalFilename',
    'TOLY': 'originalLyricist',
    'TOPE': 'originalPerformer',
    'TORY': 'originalReleaseYear',
    'TOWN': 'owner',
    'TPE1': 'artist',
    'TPE2': 'accompaniment',
    'TPE3': 'conductor',
    'TPE4': 'modifiedBy',
    'TPOS': 'TPOS',
    'TPUB': 'publisher',
    'TRCK': 'track',
    'TRDA': 'recordedOn',
    'TRSN': 'radioStation',
    'TRSO': 'radioStationOwner',
    'TSIZ': 'size',
    'TSRC': 'ISRC',
    'TSSE': 'settings',
    'TYER': 'year',
    'TXXX': 'additionalInfo',
    'UFID': 'ID',
    'USER': 'terms',
    'USLT': 'unsyncTranscript',
    'WCOM': 'commercialInfo',
    'WCOP': 'copyrightInfo',
    'WOAF': 'oFileWebpage',
    'WOAR': 'oArtistWebpage',
    'WOAS': 'oAudioWebpage',
    'WORS': 'oRadioWebpage',
    'WPAY': 'payment',
    'WPUB': 'oPublisherWebpage',
    'WXXX': 'cLink'
  };
}
